{#
/**
* @file
* Theme override to display the header block.
*
* Available variables:
* - plugin_id: The ID of the block implementation.
* - label: The configured label of the block if visible.
* - configuration: A list of the block's configuration values.
*   - label: The configured label for the block.
*   - label_display: The display settings for the label.
*   - provider: The module or other provider that provided this block plugin.
*   - Block plugin specific settings will also be stored here.
* - content: The content of this block.
* - attributes: array of HTML attributes populated by modules, intended to
*   be added to the main container tag of this template.
*   - id: A valid HTML ID and guaranteed unique.
* - title_attributes: Same as attributes, except applied to the main title
*   tag that appears in the template.
* - title_prefix: Additional output populated by modules, intended to be
*   displayed in front of the main title tag that appears in the template.
* - title_suffix: Additional output populated by modules, intended to be
*   displayed after the main title tag that appears in the template.
*
* @see template_preprocess_block()
*
* Note: for some use cases, we might need to construct render arrays from
* site-settings fields for twig. See:
* https://www.drupal.org/project/site_settings/issues/3207636#comment-14468288
*/
#}

{{ pattern('footer', {
  block_footer_1: site_settings_by_name('block_footer_1'),
  block_footer_2: site_settings_by_name('block_footer_2'),
  footer_menu: drupal_menu('footer', 1, 2, true),
  alt_content: site_settings_by_name('copyright'),
  footer_block_2_content_align: 'right'
}) }}

{% set catch_cache = content|render %}
